<?xml version="1.0" encoding="utf-8"?>
<linkbase xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://www.xbrl.org/2003/linkbase">
  <roleRef roleURI="http://www.xbrl.org/2009/role/negatedLabel" xlink:href="http://www.xbrl.org/lrr/role/negated-2009-12-16.xsd#negatedLabel" xlink:type="simple" xmlns:xlink="http://www.w3.org/1999/xlink" />
  <labelLink xlink:role="http://www.xbrl.org/2003/role/link" xlink:type="extended" xmlns:xlink="http://www.w3.org/1999/xlink">
    <loc xlink:type="locator" xlink:href="asdelfingroup-2024-12-31.xsd#asdelfingroup_StatementOfFinancialPositionTable" xlink:label="asdelfingroup_StatementOfFinancialPositionTable" />
    <loc xlink:type="locator" xlink:href="asdelfingroup-2024-12-31.xsd#asdelfingroup_StatementOfFinancialPositionLineItems" xlink:label="asdelfingroup_StatementOfFinancialPositionLineItems" />
    <loc xlink:type="locator" xlink:href="asdelfingroup-2024-12-31.xsd#asdelfingroup_WorkInProgressInternallyDevelopedSoftware" xlink:label="asdelfingroup_WorkInProgressInternallyDevelopedSoftware" />
    <loc xlink:type="locator" xlink:href="asdelfingroup-2024-12-31.xsd#asdelfingroup_InvestmentsInPropertyPlantAndEquipment" xlink:label="asdelfingroup_InvestmentsInPropertyPlantAndEquipment" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AmountsPayableRelatedPartyTransactions" xlink:label="ifrs-full_AmountsPayableRelatedPartyTransactions" />
    <loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Equity" xlink:label="ifrs-full_Equity" />
    <loc xlink:type="locator" xlink:href="asdelfingroup-2024-12-31.xsd#asdelfingroup_StatementOfCashFlowsTable" xlink:label="asdelfingroup_StatementOfCashFlowsTable" />
    <loc xlink:type="locator" xlink:href="asdelfingroup-2024-12-31.xsd#asdelfingroup_StatementOfCashFlowsLineItems" xlink:label="asdelfingroup_StatementOfCashFlowsLineItems" />
    <labelArc xlink:type="arc" xlink:from="asdelfingroup_StatementOfFinancialPositionTable" xlink:to="label_asdelfingroup_StatementOfFinancialPositionTable" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="asdelfingroup_StatementOfFinancialPositionLineItems" xlink:to="label_StatementOfFinancialPositionLineItems" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="asdelfingroup_WorkInProgressInternallyDevelopedSoftware" xlink:to="label_asdelfingroup_asdelfingroupWorkInProgressInternallyDevelopedSoftware_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="asdelfingroup_InvestmentsInPropertyPlantAndEquipment" xlink:to="label_asdelfingroup_asdelfingroupInvestmentsInPropertyPlantAndEquipment_Standard" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_AmountsPayableRelatedPartyTransactions" xlink:to="label_asdelfingroup_ifrs-fullAmountsPayableRelatedPartyTransactions_Verbose" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="ifrs-full_Equity" xlink:to="label_asdelfingroup_ifrs-fullEquity_Verbose" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" priority="100" />
    <labelArc xlink:type="arc" xlink:from="asdelfingroup_StatementOfCashFlowsTable" xlink:to="label_asdelfingroup_StatementOfCashFlowsTable" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <labelArc xlink:type="arc" xlink:from="asdelfingroup_StatementOfCashFlowsLineItems" xlink:to="label_StatementOfCashFlowsLineItems" order="1" xlink:arcrole="http://www.xbrl.org/2003/arcrole/concept-label" />
    <label xlink:label="label_asdelfingroup_StatementOfFinancialPositionTable" id="asdelfingroup_StatementOfFinancialPositionTable" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="lv">Finanšu stāvokļa pārskats [table]</label>
    <label xlink:label="label_StatementOfFinancialPositionLineItems" id="StatementOfFinancialPositionLineItems" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="lv">Finanšu stāvokļa pārskats [line items]</label>
    <label xlink:label="label_asdelfingroup_asdelfingroupWorkInProgressInternallyDevelopedSoftware_Standard" id="asdelfingroup_asdelfingroupWorkInProgressInternallyDevelopedSoftware_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="lv">Nepabeigtie pasūtījumi - iekšēji izstrādāta programmatūra</label>
    <label xlink:label="label_asdelfingroup_asdelfingroupInvestmentsInPropertyPlantAndEquipment_Standard" id="asdelfingroup_asdelfingroupInvestmentsInPropertyPlantAndEquipment_Standard" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="lv">Ilgtermiņa ieguldījumi nomātajos pamatlīdzekļos</label>
    <label xlink:label="label_asdelfingroup_ifrs-fullAmountsPayableRelatedPartyTransactions_Verbose" id="asdelfingroup_ifrs-fullAmountsPayableRelatedPartyTransactions_Verbose" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:type="resource" xml:lang="lv">Parādi radniecīgām sabiedrībām</label>
    <label xlink:label="label_asdelfingroup_ifrs-fullEquity_Verbose" id="asdelfingroup_ifrs-fullEquity_Verbose" xlink:role="http://www.xbrl.org/2003/role/verboseLabel" xlink:type="resource" xml:lang="lv">2022. gada 31. decembrī</label>
    <label xlink:label="label_asdelfingroup_StatementOfCashFlowsTable" id="asdelfingroup_StatementOfCashFlowsTable" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="lv">Naudas plūsmu pārskats [table]</label>
    <label xlink:label="label_StatementOfCashFlowsLineItems" id="StatementOfCashFlowsLineItems" xlink:role="http://www.xbrl.org/2003/role/label" xlink:type="resource" xml:lang="lv">Naudas plūsmu pārskats [line items]</label>
  </labelLink>
</linkbase>